﻿/**
* Created by 周祥 on 2015年5月23日 
* 数据库连接类 npm install mysql
*/
/**
* sql对象
*/
var sql = require('mysql');
/**
 * 默认配置
*/
var dbconfig = {
    user: "root",
    password: "",
    host: "",
    database: "",

    multipleStatements:true,
    //自定义格式化参数
    queryFormat: function (query, values) {
        if (!values) return query;
        return query.replace(/\@(\w+)/g, function (txt, key) {
            if (values.hasOwnProperty(key)) {
                return this.escape(values[key]);
            }
            return txt;
        }.bind(this));
    }
};
/**
 * connection
*/
var connection = sql.createPool(dbconfig);
/**
 * 公共处理 周祥 2015年5月23日
 * arrPara 执行存储过程参数 如没有 则为null { name = value }
 * callBack 执行回调函数
 */
var Exec = function (arrPara, sql, callBack) {
    connection.getConnection(function (err, conn) {
        if (err) console.log("POOL ==> " + err);
        conn.query(sql, arrPara, function (err, rows) {
            if (err) console.log(err);
            callBack(rows);
            conn.release();
        });
    });

};
exports.Exec = Exec;