﻿/**
* Created by 周祥 on 2015年5月4日 10:31:30.
* 数据库连接类 npm install mssql
*/
/**
* this
*/
var _self = this;
/**
* sql对象
*/
_self.sql = require('mssql');
/**
 * 默认配置
*/
_self.dbconfig = {
    user: "",
    pass: "",
    host: "",
    name: ""
};
/**
 * 公共处理 周祥 2015年5月4日 10:50:46
 * type true:表示执行存储过程 false:表示执行SQL 执行SQL 无需 arrPara outArrPata
 * arrPara 执行存储过程参数 如没有 则为null { name type value }
 * outArrPata 输出参数
 * callBack 执行回调函数
 */
_self.Exec = function (type, arrPara, outArrPata, sql, callBack, IsDefault) {
    if (IsDefault) {
        _self.dbconfig.user = 'sa';
        _self.dbconfig.pass = '';
        _self.dbconfig.host = '';
        _self.dbconfig.name = '';
    } else {
        _self.dbconfig.user = 'sa';
        _self.dbconfig.pass = '';
        _self.dbconfig.host = '';
        _self.dbconfig.name = '';
    }
    _self.sql.connect("mssql://" + _self.dbconfig.user + ":" + _self.dbconfig.pass + "@" + _self.dbconfig.host + "/" + _self.dbconfig.name).then(function () {
        var db = new _self.sql.Request();
        if (arrPara != null && arrPara.length > 0) {
            for (var i = 0; i < arrPara.length; i++) {
                var m = arrPara[i];
                db.input(m.name, m.type, m.value);
            }
        }
        if (outArrPata != null && outArrPata.length > 0) {
            for (var i = 0; i < outArrPata.length; i++) {
                var m = outArrPata[i];
                db.output(m.name, m.type);
            }
        }
        if (type) {
            db.execute(sql).then(function (recordsets) {
                _self.sql.close();
                callBack(recordsets);
            }).catch(function (err) {
                _self.sql.close();
                console.dir(err);
            });
        } else {
            db.query(sql).then(function (recordset) {
                _self.sql.close();
                callBack(recordset);
            }).catch(function (err) {
                _self.sql.close();
                console.dir(err);
            });
        }
    }).catch(function (err) {
        console.dir(err);
    });
};
exports.sql = _self.sql;
exports.dbconfig = _self.dbconfig;
exports.Exec = _self.Exec;